<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.biz.inbound.dao.failure.InReceivingAbnormalHMapper">
	<resultMap id="map" type="com.prolog.cs.biz.inbound.model.failure.InReceivingAbnormalH">
		<result column="billid" property="billid"/>
		<result column="billno" property="billno"/>
		<result column="billtype" property="billtype"/>
		<result column="branchid" property="branchid"/>
		<result column="branchcode" property="branchcode"/>
		<result column="branchname" property="branchname"/>
		<result column="consignorid" property="consignorid"/>
		<result column="consignorcode" property="consignorcode"/>
		<result column="consignorname" property="consignorname"/>
		<result column="consignor_bill_no" property="consignorBillNo"/>
		<result column="refbilltype" property="refbilltype"/>
		<result column="refbillid" property="refbillid"/>
		<result column="refbillcode" property="refbillcode"/>
		<result column="purorg_id" property="purorgId"/>
		<result column="purorg_name" property="purorgName"/>
		<result column="buyer_id" property="buyerId"/>
		<result column="buyer_name" property="buyerName"/>
		<result column="arrive_address" property="arriveAddress"/>
		<result column="vendorcode" property="vendorcode"/>
		<result column="vendorname" property="vendorname"/>
		<result column="acc_goods_bill_no" property="accGoodsBillNo"/>
		<result column="vpo_no" property="vpoNo"/>
		<result column="vendor_receive_date" property="vendorReceiveDate"/>
		<result column="vendor_address" property="vendorAddress"/>
		<result column="refbillno" property="refbillno"/>
		<result column="totpcs" property="totpcs"/>
		<result column="totqty" property="totqty"/>
		<result column="totnetamt" property="totnetamt"/>
		<result column="totamt" property="totamt"/>
		<result column="operatedate" property="operatedate"/>
		<result column="operator" property="operator"/>
		<result column="confirmer" property="confirmer"/>
		<result column="qtoperator" property="qtoperator"/>
		<result column="qtoperator2" property="qtoperator2"/>
		<result column="rcvoperator" property="rcvoperator"/>
		<result column="rcvoperator2" property="rcvoperator2"/>
		<result column="status" property="status"/>
		<result column="audit_result" property="auditResult"/>
		<result column="audit_opinion" property="auditOpinion"/>
		<result column="remark" property="remark"/>
		<result column="attr_str1" property="attrStr1"/>
		<result column="attr_str2" property="attrStr2"/>
		<result column="attr_str3" property="attrStr3"/>
		<result column="attr_str4" property="attrStr4"/>
		<result column="attr_str5" property="attrStr5"/>
		<result column="attr_num1" property="attrNum1"/>
		<result column="attr_num2" property="attrNum2"/>
		<result column="attr_dte1" property="attrDte1"/>
		<result column="attr_dte2" property="attrDte2"/>
		<result column="createby" property="createby"/>
		<result column="createdate" property="createdate"/>
		<result column="lastmodifyby" property="lastmodifyby"/>
		<result column="lastmodifydate" property="lastmodifydate"/>
		<result column="p_enterpriseid" property="enterpriseid"/>
		<result column="p_enterprisename" property="enterprisename"/>
	</resultMap>
	<sql id="mainClomuns" >
		billid, 
		billno, 
		billtype, 
		branchid, 
		branchcode, 
		branchname, 
		consignorid, 
		consignorcode, 
		consignorname, 
		consignor_bill_no, 
		refbilltype, 
		refbillid, 
		refbillcode, 
		purorg_id, 
		purorg_name, 
		buyer_id, 
		buyer_name, 
		arrive_address, 
		vendorcode, 
		vendorname, 
		acc_goods_bill_no, 
		vpo_no, 
		vendor_receive_date, 
		vendor_address, 
		refbillno, 
		totpcs, 
		totqty, 
		totnetamt, 
		totamt, 
		operatedate, 
		operator, 
		confirmer, 
		qtoperator, 
		qtoperator2, 
		rcvoperator, 
		rcvoperator2, 
		status, 
		audit_result, 
		audit_opinion, 
		remark, 
		attr_str1, 
		attr_str2, 
		attr_str3, 
		attr_str4, 
		attr_str5, 
		attr_num1, 
		attr_num2, 
		attr_dte1, 
		attr_dte2, 
		createby, 
		createdate, 
		lastmodifyby, 
		lastmodifydate, 
		p_enterpriseid, 
		p_enterprisename
	</sql>
</mapper>
